Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000891Core InformKinds and type checkingpublic2012-03-20 12:232014-05-07 07:34
ReporterNYKevin 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS VersionAny
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000891: Description interpreted as object name
DescriptionThe attached source provokes

- - - -
Problem. The sentence 'The interesting list is {even numbers}' tells me that 'interesting list', which is a list of descriptions of numbers that varies, should start out with the value '{ even numbers }', but this is a list of objects and not a list of descriptions of numbers.
- - - -
Minimal Source Text To Reproduce
There is room.

The interesting list is a list of descriptions of numbers that varies.
The interesting list is {even numbers}.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships
related to 0000887closedgraham Cannot assign literal values to "description of K" variables 
related to 0000889closedgraham Tables of descriptions cannot be populated at compile-time 
child of 0000899closedgraham Umbrella issue: Inform rejects description literals in several cases 

-  Notes
(0002322)
graham (administrator)
2014-01-19 05:37

I have slightly improved the problem messages explaining that, basically, you can't do this sort of thing.

- Issue History
Date Modified Username Field Change
2012-03-20 12:23 EmacsUser New Issue
2012-03-20 12:23 EmacsUser Issue generated from 0000887
2012-03-20 12:30 EmacsUser Reporter EmacsUser => NYKevin
2012-03-27 14:18 EmacsUser Relationship added related to 0000887
2012-03-27 14:18 EmacsUser Relationship added related to 0000889
2012-03-27 14:19 EmacsUser Status new => confirmed
2012-03-30 22:50 EmacsUser Relationship added related to 0000899
2012-03-31 19:57 jmcgrew Relationship replaced child of 0000899
2014-01-19 05:37 graham Note Added: 0002322
2014-01-19 05:37 graham Status confirmed => resolved
2014-01-19 05:37 graham Resolution open => fixed
2014-01-19 05:37 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker